@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  rectangles startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

@rem Add default JVM options here. You can also use JAVA_OPTS and RECTANGLES_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windowz variants

if not "%OS%" == "Windows_NT" goto win9xME_args
if "%@eval[2+2]" == "4" goto 4NT_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*
goto execute

:4NT_args
@rem Get arguments from the 4NT Shell from JP Software
set CMD_LINE_ARGS=%$

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\rectangles.jar;%APP_HOME%\lib\groovy-all-2.0.5.jar;%APP_HOME%\lib\guava-14.0.jar;%APP_HOME%\lib\metaheuristics-engine-1.1-SNAPSHOT.jar;%APP_HOME%\lib\activemq-core-5.7.0.jar;%APP_HOME%\lib\slf4j-simple-1.7.5.jar;%APP_HOME%\lib\argparse4j-0.4.0.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\geronimo-jms_1.1_spec-1.1.1.jar;%APP_HOME%\lib\slf4j-api-1.7.5.jar;%APP_HOME%\lib\kahadb-5.7.0.jar;%APP_HOME%\lib\activemq-protobuf-1.1.jar;%APP_HOME%\lib\hawtdispatch-1.11.jar;%APP_HOME%\lib\hawtdispatch-transport-1.11.jar;%APP_HOME%\lib\hawtbuf-1.9.jar;%APP_HOME%\lib\mqtt-client-1.3.jar;%APP_HOME%\lib\geronimo-j2ee-management_1.1_spec-1.0.1.jar;%APP_HOME%\lib\spring-asm-3.0.7.RELEASE.jar;%APP_HOME%\lib\commons-logging-1.1.1.jar;%APP_HOME%\lib\spring-core-3.0.7.RELEASE.jar;%APP_HOME%\lib\spring-beans-3.0.7.RELEASE.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\spring-aop-3.0.7.RELEASE.jar;%APP_HOME%\lib\spring-expression-3.0.7.RELEASE.jar;%APP_HOME%\lib\spring-context-3.0.7.RELEASE.jar;%APP_HOME%\lib\commons-net-3.1.jar;%APP_HOME%\lib\jasypt-1.9.0.jar

@rem Execute rectangles
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %RECTANGLES_OPTS%  -classpath "%CLASSPATH%" com.rodhilton.rectanglevisibility.main.Executive %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable RECTANGLES_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%RECTANGLES_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
